﻿.notifications {
    position: fixed;
    top: 30px;
    right: 20px;
}

.toast {
    position: relative;
    padding: 10px;
    color: #fff;
    margin-bottom: 10px;
    width: 450px;
    display: grid;
    grid-template-columns: 70px 1fr 70px;
    border-radius: 5px;
    --color: #0abf30;
    background-image: linear-gradient( to right, #0abf3055, #22242f 30% );
    animation: show 0.3s ease 1 forwards
}

    .toast i {
        margin: 15px 0 0 20px;
        color: var(--color);
        display: flex;
        justify-content: center;
        align-items: center;
        font-size: x-large;
    }

    .toast .title {
        font-size: x-large;
        font-weight: bold;
    }

    .toast span, .toast i:nth-child(3) {
        color: #999;
    }

@keyframes show {
    0% {
        transform: translateX(100%);
    }

    40% {
        transform: translateX(-5%);
    }

    80% {
        transform: translateX(0%);
    }

    100% {
        transform: translateX(-10%);
    }
}

.toast::before {
    position: absolute;
    bottom: 0;
    left: 0;
    background-color: var(--color);
    width: 100%;
    height: 3px;
    content: '';
    box-shadow: 0 0 10px var(--color);
    animation: timeOut 5s linear 1 forwards
}

@keyframes timeOut {
    to {
        width: 0;
    }
}

.toast.error {
    --color: #f24d4c;
    background-image: linear-gradient( to right, #f24d4c55, #22242F 30% );
}

.toast.warning {
    --color: #e9bd0c;
    background-image: linear-gradient( to right, #e9bd0c55, #22242F 30% );
}

.toast.info {
    --color: #3498db;
    background-image: linear-gradient( to right, #3498db55, #22242F 30% );
}


/*--- ICONS START ---*/
.Isuccess {
    box-sizing: border-box;
    position: relative;
    display: block;
    transform: scale(var(--ggs, 2.5));
    width: 22px;
    height: 22px;
    border: 2px solid;
    border-radius: 100px;
}

    .Isuccess::after {
        content: "";
        display: block;
        box-sizing: border-box;
        position: absolute;
        left: 3px;
        top: -1px;
        width: 6px;
        height: 10px;
        border-color: currentColor;
        border-width: 0 2px 2px 0;
        border-style: solid;
        transform-origin: bottom left;
        transform: rotate(45deg);
    }



.Ierror {
    box-sizing: border-box;
    position: relative;
    display: block;
    transform: scale(var(--ggs, 2.3));
    width: 22px;
    height: 22px;
    border: 2px solid;
    border-radius: 40px;
}

    .Ierror::after,
    .Ierror::before {
        content: "";
        display: block;
        box-sizing: border-box;
        position: absolute;
        width: 12px;
        height: 2px;
        background: currentColor;
        transform: rotate(45deg);
        border-radius: 5px;
        top: 8px;
        left: 3px;
    }

    .Ierror::after {
        transform: rotate(-45deg);
    }



.Iinfo {
    box-sizing: border-box;
    position: relative;
    display: block;
    transform: scale(var(--ggs, 2.3));
    width: 20px;
    height: 20px;
    border: 2px solid;
    border-radius: 40px;
}

    .Iinfo::after,
    .Iinfo::before {
        content: "";
        display: block;
        box-sizing: border-box;
        position: absolute;
        border-radius: 3px;
        width: 2px;
        background: currentColor;
        left: 7px;
    }

    .Iinfo::after {
        bottom: 2px;
        height: 8px;
    }

    .Iinfo::before {
        height: 2px;
        top: 2px;
    }



.Iwarning {
    box-sizing: border-box;
    position: relative;
    display: block;
    transform: scale(var(--ggs, 2.3));
    width: 20px;
    height: 20px;
    border: 2px solid;
    border-radius: 40px;
}

    .Iwarning::after,
    .Iwarning::before {
        content: "";
        display: block;
        box-sizing: border-box;
        position: absolute;
        border-radius: 3px;
        width: 2px;
        background: currentColor;
        left: 7px;
    }

    .Iwarning::after {
        top: 2px;
        height: 8px;
    }

    .Iwarning::before {
        height: 2px;
        bottom: 2px;
    }



.Iclose {
    box-sizing: border-box;
    position: relative;
    display: block;
    transform: scale(var(--ggs, 1));
    width: 22px;
    height: 22px;
    border: 2px solid transparent;
    border-radius: 40px;
}

    .Iclose::after,
    .Iclose::before {
        content: "";
        display: block;
        box-sizing: border-box;
        position: absolute;
        width: 16px;
        height: 2px;
        background: currentColor;
        transform: rotate(45deg);
        border-radius: 5px;
        top: 8px;
        left: 1px;
    }

    .Iclose::after {
        transform: rotate(-45deg);
    }

/*--- ICONS END ---*/





/*--- RESPONSIVE START ---*/
@media all and (max-width: 450px) and (min-width: 50px) {
    .toast {
        width: 350px;
    }
}
/*--- RESPONSIVE END ---*/
